Bug 1664430 - oc adm top doesn't work out of the box
Summary: oc adm top doesn't work out of the box
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Monitoring
Version: 4.1.0
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
: 4.1.0
Assignee: Frederic Branczyk
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-08 18:18 UTC by Jeremy Eder
Modified: 2019-06-04 10:41 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-04 10:41:43 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:41:49 UTC

Comment 1 Junqi Zhao 2019-01-09 02:19:38 UTC
Blocks prometheus-adapter testing

Comment 2 Frederic Branczyk 2019-01-11 12:48:13 UTC
This should be fixed as of https://github.com/openshift/cluster-monitoring-operator/pull/193 which landed yesterday and should have made its way to the update payload by now. Please test.

Comment 3 Junqi Zhao 2019-01-16 02:13:26 UTC
Issue is fixed
payload:
# oc get clusterversion version -oyaml | grep payload
payload: quay.io/openshift-release-dev/ocp-release@sha256:66cee7428ba0d3cb983bd2a437e576b2289e7fd5abafa70256200a5408b26644

$ oc adm top node
NAME                                         CPU(cores)   CPU%      MEMORY(bytes)   MEMORY%   
ip-10-0-12-143.us-east-2.compute.internal    1503m        100%      4533Mi          61%       
ip-10-0-132-16.us-east-2.compute.internal    76m          5%        1391Mi          18%       
ip-10-0-140-137.us-east-2.compute.internal   398m         26%       2473Mi          33%       
ip-10-0-142-44.us-east-2.compute.internal    656m         43%       6119Mi          82%       
ip-10-0-146-165.us-east-2.compute.internal   188m         12%       3367Mi          45%       
ip-10-0-19-62.us-east-2.compute.internal     896m         59%       5754Mi          77%       
ip-10-0-44-193.us-east-2.compute.internal    632m         42%       5349Mi          72%       

$ oc adm top pods -n openshift-console
NAME                                 CPU(cores)   MEMORY(bytes)   
console-operator-7f58c69899-q8c8k    0m           22Mi            
console-operator-7f58c69899-xhbgg    0m           25Mi            
console-operator-7f58c69899-xprqz    6m           33Mi            
openshift-console-594fcccf94-bcxk8   3m           18Mi            
openshift-console-594fcccf94-kv4p6   2m           15Mi            
openshift-console-594fcccf94-snq4g   6m           19Mi

Comment 6 errata-xmlrpc 2019-06-04 10:41:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.